Subject: RE: Cron runs, but commands are not executing.
From: "Thompson, Blake" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 26 Nov 2003 15:34:39 -0500

Igor, 
Using full paths did it, thank you very much for the assistance.

Blake Thompson
Technical Team Lead,
Fidelity Web Services
Raleigh, NC

PH:      919.784.0924
EMAIL:   [email-masked]
AOL IM:  FescoBlaketh

"Trust, but verify."  - Russian Proverb

>-----Original Message-----
>From: Igor Pechtchanski [mailto:[email-masked]] 
>Sent: Wednesday, November 26, 2003 3:01 PM
>To: Thompson, Blake
>Cc: [email-masked]
>Subject: Re: Cron runs, but commands are not executing.
>
>
>On Wed, 26 Nov 2003, Thompson, Blake wrote:
>
>> Folks,
>> I have tried to tackle this by myself and with the help of 
>all the others
>> that have been trying to resolve similar issues via this 
>newsgroup.  I have
>> come across several instances where people were finally able to claim
>> victory and tried their options, but to no avail (although, I've come
>> further in my travels than I was before).
>>
>> Platform:       Windows XP Pro
>> Cygwin is installed as 'all users.'
>>
>> The server has been started/stopped/started and 
>uninstalled/reinstalled a
>> ton of times.  I am able to verify that cron is running as a 
>service via the
>> event log and when attempting to start it I get the message 
>that it is
>> already running.  I have reinstalled cron a few times, as well.
>>
>> My crontab is as follows:
>>
>>
>> A325771@DA604290 /var/cron
>> $ crontab -l
>> # DO NOT EDIT THIS FILE - edit the master and reinstall.
>> # (/tmp/crontab.3308 installed on Wed Nov 26 13:51:07 2003)
>> # (Cron version -- $Id: crontab.c,v 1.7 2003/04/15 15:13:41 
>corinna Exp $)
>> * * * * * date >> ~/date.txt
>
>Try using "/bin/date >> /tmp/date.txt" instead.  
>Tilde-expansion may not
>be available, and PATH may not be set correctly.
>
>> (I have also tried executing a shell script versus a single command).
>>
>> I've run cron_diagnose.sh with no issues (output below)
>> [snip]
>> (By the way, I did all the stuff mentioned in the script 
>output.  Multiple
>> times.)
>>
>> I am not able to see where any output has been generated.  
>However, when
>> reviewing the event log, I come across the following entries 
>(they appear to
>> be grouped in 2's):
>>
>> Event Type:     Information
>> Event Source:   /USR/SBIN/CRON
>> Event Category: None
>> Event ID:       0
>> Date:           11/26/2003
>> Time:           2:14:00 PM
>> User:           NT AUTHORITY\SYSTEM
>> Computer:       DA604290
>> Description:
>> The description for Event ID ( 0 ) in Source ( 
>/USR/SBIN/CRON ) cannot be
>> found. The local computer may not have the necessary 
>registry information or
>> message DLL files to display messages from a remote 
>computer. You may be
>> able to use the /AUXSOURCE= flag to retrieve this 
>description; see Help and
>> Support for details. The following information is part of the event:
>> /USR/SBIN/CRON : PID 948 : (A325771) CMD (date >> ~/date.txt).
>  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>This last line is the only important part.  It says that cron 
>attempted to
>execute the command.
>
>> Event Type:     Information
>> Event Source:   /USR/SBIN/CRON
>> Event Category: None
>> Event ID:       0
>> Date:           11/26/2003
>> Time:           2:14:06 PM
>> User:           NT AUTHORITY\SYSTEM
>> Computer:       DA604290
>> Description:
>> The description for Event ID ( 0 ) in Source ( 
>/USR/SBIN/CRON ) cannot be
>> found. The local computer may not have the necessary 
>registry information or
>> message DLL files to display messages from a remote 
>computer. You may be
>> able to use the /AUXSOURCE= flag to retrieve this 
>description; see Help and
>> Support for details. The following information is part of the event:
>> /USR/SBIN/CRON : PID 608 : (A325771) MAIL (mailed 48 bytes 
>of output but got status 0x0001).
>  
>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>This shows that there was some output generated by the command 
>you tried
>to execute (most likely on stderr).  Since you didn't redirect 
>stderr in
>your command, cron attempted to mail it to you, and since you're not
>running a mail server, that attempt failed.
>
>> I know that this is probably a doink problem that has a 
>quickie solution,
>> but I have read all the README's, man pages, and 2 years 
>worth of cygwin
>> posts, but am not able to find what could be causing the 
>issue.  Please,
>> show me the error of my ways.
>>
>> Blake
>
>Try redirecting stderr from your cron command as well.  Most 
>likely cron
>couldn't find "date" (incorrect PATH setting), or couldn't access
>"~/date.txt" (no tilde expansion).
>	Igor
>-- 
>				http://cs.nyu.edu/~pechtcha/
>      |\      _,,,---,,_		[email-masked]
>ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
>"I have since come to realize that being between your mentor 
>and his route
>to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/